<?php

namespace App\Model\Entities\GameData\Mmorpg;

use App\Model\Entities\BaseNamedRecord;
use App\Model\Entities\Game;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="profession")
 */
class Profession extends BaseNamedRecord
{
    /**
     * @ORM\Column(type="integer")
     */
    protected $maximumSkill;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $isCrafting;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $isGathering;

    /**
     * @ORM\Column(type="boolean")
     */
    protected $isSecondary;

    /**
     * @var Game
     * @ORM\ManyToOne(targetEntity="App\Model\Entities\Game")
     */
    protected $game;

    /**
     * @return mixed
     */
    public function getMaximumSkill()
    {
        return $this->maximumSkill;
    }

    /**
     * @param mixed $maximumSkill
     */
    public function setMaximumSkill($maximumSkill)
    {
        $this->maximumSkill = $maximumSkill;
    }

    /**
     * @return mixed
     */
    public function isCrafting()
    {
        return $this->isCrafting;
    }

    /**
     * @param mixed $isCrafting
     */
    public function setIsCrafting($isCrafting)
    {
        $this->isCrafting = $isCrafting;
    }

    /**
     * @return mixed
     */
    public function isGathering()
    {
        return $this->isGathering;
    }

    /**
     * @param mixed $isGathering
     */
    public function setIsGathering($isGathering)
    {
        $this->isGathering = $isGathering;
    }

    /**
     * @return mixed
     */
    public function isSecondary()
    {
        return $this->isSecondary;
    }

    /**
     * @param mixed $isSecondary
     */
    public function setIsSecondary($isSecondary)
    {
        $this->isSecondary = $isSecondary;
    }

    /**
     * @return MmorpgData
     */
    public function getGame()
    {
        return $this->game;
    }

    /**
     * @param MmorpgData $game
     */
    public function setGame($game)
    {
        $this->game = $game;
    }

}